dofile('data/Scenes/9_train_Anim_rail.lua')

local PATH_COMICS_9_BLADE_SAW             = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_9_RAIL                  = 'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())
    
    local pf = play_field
    local level = pf:GetLevelScreen()

    ---------------------------------------------------------------------------------------------
    level:AddTaskSafe(CreateTask('COIN', '', 'coin'))
    AddRandomTasks(14,
                   CreateTask('ALARM_CLOCK', '', 'alarm_clock'),
                   CreateTask('CROSSBOW', '', 'arbalest'),
                   CreateTask('AXE', '', 'axe'),
                   CreateTask('RUCKSACK', '', 'bag'),
                   CreateTask('SCALES', '', 'balance'),
                   CreateTask('BALL', '', 'Ball'),
                   CreateTask('SET_OF_BOOKS', 'SETS_OF_BOOKS', 'books', 'books2'),
                   CreateTask('BROOM', 'BROOMS', 'broom', 'broom2'),
                   CreateTask('CROWN', '', 'crown'),
                   CreateTask('FAN', '', 'fan'),
                   CreateTask('GLASSES', '', 'glasses'),
                   CreateTask('GUN', '', 'gun'),
                   CreateTask('HORSESHOE', '', 'horse_shoe'),
				   CreateTask('HAT', '', 'hat2'),
                   CreateTask('KEYS', '', 'keys'),
                   CreateTask('LOCK', '', 'lock'),
                   CreateTask('LOCOMOTIVE', '', 'locomotive'),
                   CreateTask('MIRROR', '', 'mirror'),
                   CreateTask('BINOCULARS', '', 'pair_of_glasses'),
                   CreateTask('SCISSORS', '', 'pair_of_scissors'),
                   CreateTask('PALETTE', '', 'palitra'),
                   CreateTask('PICTURE', '', 'picture'),
                   CreateTask('PILLOWS', '', 'pillows'),
                   CreateTask('STEPLADDER', '', 'stepladder'),
                   CreateTask('TEDDY_BEAR', '', 'teddy_bear'),
                   CreateTask('UMBRELLA', '', 'umbrella'),
                   CreateTask('VIOLIN', 'VIOLINS', 'violin', 'violin2'),
                   CreateTask('WATERING_CAN', '', 'watering_can'),
                   CreateTask('SHIP', '', 'ship'),
                   CreateTask('BUTTON', '', 'button'),
                   CreateTask('LACE', '', 'lace'),
                   CreateTask('STAR_2', '', 'star'),
                   
                   CreateTask('LETTER_W', '', 'letter_W'),
                   CreateTask('NAIL', '', 'nail'),
                   CreateTask('GEAR', '', 'pinion')
                   )
    play_field:IgnoreOnTestPoint('boots')
    ---------------------------------------------------------------------------------------------
    pf:GetObject('hacksaw'):SetOpacity(0)
    ---------------------------------------------------------------------------------------------
    local anim_rail = createCompositionLok9()
    anim_rail:AttachTo(screen)
    anim_rail:SetZ(85)
    anim_rail:SetCyclic(true)
    
    local anim_rail_fail = createCompositionrelsa_falling()
    anim_rail_fail:AttachTo(screen)
    anim_rail_fail:SetZ(85.1)
    anim_rail_fail:SetOpacity(0)
    anim_rail_fail:SetDestroysOnEnd(false)
    ---------------------------------------------------------------------------------------------
    zone_toolware = CreateZoomZone('close_zone_toolware',
                                   'pixel_open_toolware',
                                   'bg_toolware',
                                   'blade_saw',
                                   'letter_W',
                                   'nail',
                                   'pinion',
                                   'layer_pinion'
                                  )
    ---------------------------------------------------------------------------------------------
	zone_floor = CreateZoomZone('close_zone_floor',
                                '', -- pixel_open_floor
                                'bg_floor',
                                'button',
                                'lace',
                                'star',
                                'layer_button',
                                'layer_star',
                                'coin'
                                )
    ---------------------------------------------------------------------------------------------                             
    local photo_action_blade_saw = function()
                             end
    local apply_action_blade_saw = function(save)
                                if save then
                                    pf:GetObject('hacksaw'):SetOpacity(1)
                                    pf:GetObject('hacksaw_without_saw'):SetOpacity(0)
                                else
                                    pf:GetObject('hacksaw'):ChangeOpacity(0, 1, 0.3)
                                    pf:GetObject('hacksaw_without_saw'):ChangeOpacity(1, 0, 0.3)
                                    
                                    PlaySound('09_collect_saw')
                                end
                                
                                pf:GetObject('target_hacksaw_without_saw'):SetOpacity(0)
                             end
    local photo_blade_saw = CreatePhotoZone('blade_saw', 
                                            'SAW_BLADE', 
                                            'blade_saw_photo', 
                                            photo_action_blade_saw, 'target_hacksaw_without_saw', apply_action_blade_saw)
    level:GetTask('blade_saw'):SetUse(true)
    ---------------------------------------------------------------------------------------------
    local photo_action_blade_hacksaw = function()
                             end
    local apply_action_blade_hacksaw = function(save)
                                if save then
                                    anim_rail:Destroy()
                                    anim_rail_fail:SetOpacity(1)
                                    anim_rail_fail:Rewind(true)
                                else
                                    anim_rail:Destroy()
                                    anim_rail_fail:SetOpacity(1)
                                    anim_rail_fail:Play()
                                    
                                    PlaySound('09_fall_anvil')
                                end
                                RegisterZoomZone(zone_floor, 'pixel_open_floor')
                             end
    local photo_blade_hacksaw = CreatePhotoZone('hacksaw', 
                                            'HACKSAW', 
                                            'hacksaw_photo', 
                                            photo_action_blade_hacksaw, 'maska_chain',
                                            apply_action_blade_hacksaw)
    ---------------------------------------------------------------------------------------------
    pf:GetObject('mouse_run_1'):SetOpacity(0)
    pf:GetObject('mouse_run_1'):GetAnimation():Stop()
    pf:GetObject('mouse_run_2'):SetOpacity(0)
    pf:GetObject('mouse_run_2'):GetAnimation():Stop()
   
    mouse_run('mouse_run_2')
    ---------------------------------------------------------------------------------------------
    PlayAnimationPeriodicallyVsRandDelay(pf:GetObject('spider_anim'), 10, 20)
    ---------------------------------------------------------------------------------------------
    game_state.chain_blade_saw = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_9_BLADE_SAW, 'COMICS_9_BLADE_SAW')
                                                 end )
    SetHintComicsPhotoZoneEx(photo_blade_saw, game_state.chain_blade_saw)
    game_state.chain_rail = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_9_RAIL, 'COMICS_9_RAIL')
                                                 end )
    SetHintComicsPhotoZoneEx(photo_blade_hacksaw, game_state.chain_rail)
    ---------------------------------------------------------------------------------------------
end

function mouse_run(anim_name)
    local mouse_run_obj = play_field:GetObject(anim_name);
    mouse_run_obj:GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
    mouse_run_obj:SetOpacity(1.);
    mouse_run_obj:GetAnimation():Play();
    local new_time_run = GetRandomFloat(5., 10.);
    local length_anim_mouse_run = GetAnimationLength( mouse_run_obj:GetAnimation() );
    TimerDo(play_field:GetTimer(), length_anim_mouse_run + new_time_run, function()
                                                                 mouse_run_obj:SetOpacity(0.);
                                                                 if anim_name == 'mouse_run_2' then
                                                                    mouse_run('mouse_run_1')
                                                                 else
                                                                    mouse_run('mouse_run_2')
                                                                 end
                                                            end )
end

function OnSceneFree()
    FreeData()
end

function OnHiddenComics(comics)
end

function OnScreenShown(fade_out)
    if fade_out then
--        game_state.chain_on_shown.Play()
    end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt);
end

function OnWin()
    OnWinLevel()
end

function OnLose()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click;
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
    
    if object:GetName() == 'coin' then
    end        
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/axe.png',0,0,35,97,1,0)
	anim:SetHotSpot(17,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('axe',anim,335,280,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/bag.png',0,0,129,106,1,0)
	anim:SetHotSpot(64,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag',anim,815,600,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/Ball.png',0,0,71,70,1,0)
	anim:SetHotSpot(35,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ball',anim,576,497,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/books.png',0,0,86,73,1,0)
	anim:SetHotSpot(43,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('books',anim,747,235,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/boots.png',0,0,117,94,1,0)
	anim:SetHotSpot(58,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boots',anim,543,496,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/broom.png',0,0,98,145,1,0)
	anim:SetHotSpot(49,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom',anim,261,537,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/bucket.png',0,0,96,168,1,0)
	anim:SetHotSpot(48,84)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket',anim,564,373,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/crown.png',0,0,43,29,1,0)
	anim:SetHotSpot(21,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crown',anim,735,309,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/fan.png',0,0,119,66,1,0)
	anim:SetHotSpot(59,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,232,244,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/glasses.png',0,0,113,67,1,0)
	anim:SetHotSpot(56,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,286,669,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/gun.png',0,0,102,60,1,0)
	anim:SetHotSpot(51,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun',anim,338,664,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/lock.png',0,0,40,40,1,0)
	anim:SetHotSpot(20,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lock',anim,974,249,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/locomotive.png',0,0,74,49,1,0)
	anim:SetHotSpot(37,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('locomotive',anim,416,411,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/mirror.png',0,0,155,160,1,0)
	anim:SetHotSpot(77,80)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mirror',anim,943,596,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/pair_of_glasses.png',0,0,104,49,1,0)
	anim:SetHotSpot(52,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_glasses',anim,653,649,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/pair_of_scissors.png',0,0,77,36,1,0)
	anim:SetHotSpot(38,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_scissors',anim,551,662,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/palitra.png',0,0,109,68,1,0)
	anim:SetHotSpot(54,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('palitra',anim,442,697,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/picture.png',0,0,108,84,1,0)
	anim:SetHotSpot(54,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('picture',anim,740,93,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/pillows.png',0,0,168,112,1,0)
	anim:SetHotSpot(84,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pillows',anim,317,383,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/stepladder.png',0,0,122,200,1,0)
	anim:SetHotSpot(61,100)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stepladder',anim,968,406,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/teddy_bear.png',0,0,99,58,1,0)
	anim:SetHotSpot(49,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('teddy_bear',anim,881,479,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/umbrella.png',0,0,45,122,1,0)
	anim:SetHotSpot(22,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella',anim,797,204,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/violin.png',0,0,165,48,1,0)
	anim:SetHotSpot(82,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('violin',anim,359,452,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/watering_can.png',0,0,111,86,1,0)
	anim:SetHotSpot(55,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watering_can',anim,250,456,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/alarm_clock.png',0,0,41,36,1,0)
	anim:SetHotSpot(20,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('alarm_clock',anim,628,248,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/hacksaw.png',0,0,233,61,1,0)
	anim:SetHotSpot(116,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hacksaw',anim,713,737,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/hacksaw_without_saw.png',0,0,233,61,1,0)
	anim:SetHotSpot(116,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hacksaw_without_saw',anim,713,736,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_toolware',anim,610,289,170,0,7.92,7)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomToolware/bg_toolware.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_toolware',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomFloor/bg_floor.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_floor',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomFloor/Items/button.png',0,0,49,47,1,0)
	anim:SetHotSpot(24,23)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('button',anim,360,331,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomFloor/Items/lace.png',0,0,179,88,1,0)
	anim:SetHotSpot(89,44)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lace',anim,646,549,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomFloor/Items/star.png',0,0,87,82,1,0)
	anim:SetHotSpot(43,41)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('star',anim,619,341,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomFloor/Layers/layer_button.png',0,0,39,30,1,0)
	anim:SetHotSpot(19,15)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('layer_button',anim,355,346,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomFloor/Layers/layer_star.png',0,0,52,71,1,0)
	anim:SetHotSpot(26,35)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('layer_star',anim,639,346,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomToolware/blade_saw.png',0,0,406,144,1,0)
	anim:SetHotSpot(203,72)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('blade_saw',anim,543,375,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/photo/blade_saw_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('blade_saw_photo',anim,96,611,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomToolware/items/letter_W.png',0,0,31,35,1,0)
	anim:SetHotSpot(15,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('letter_W',anim,286,205,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomToolware/items/nail.png',0,0,55,54,1,0)
	anim:SetHotSpot(27,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('nail',anim,273,469,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomToolware/items/pinion.png',0,0,96,97,1,0)
	anim:SetHotSpot(48,48)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pinion',anim,253,569,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomToolware/layers/layer_pinion.png',0,0,71,87,1,0)
	anim:SetHotSpot(35,43)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('layer_pinion',anim,264,557,530,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/animation/mouse_run_1.png',0,0,148,37,9,18)
	anim:SetHotSpot(74,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mouse_run_1',anim,849,537,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/animation/mouse_run_2.png',0,0,138,43,24,20)
	anim:SetHotSpot(69,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mouse_run_2',anim,835,575,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/animation/spider.png',0,0,226,145,20,15)
	anim:SetHotSpot(113,73)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spider_anim',anim,900,702,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/photo/hacksaw_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hacksaw_photo',anim,100,606,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Layers/floor_layer.png',0,0,261,140,1,0)
	anim:SetHotSpot(130,70)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_floor',anim,516,599,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/ZoomFloor/coin.png',0,0,45,37,1,0)
	anim:SetHotSpot(22,18)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('coin',anim,506,363,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('target_hacksaw_without_saw',anim,712,727,120,0,30,8)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Layers/bucket_layer.png',0,0,96,125,1,0)
	anim:SetHotSpot(48,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket_layer',anim,572,313,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/horse_shoe.png',0,0,40,42,1,0)
	anim:SetHotSpot(20,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horse_shoe',anim,917,154,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Layers/violin_over.png',0,0,108,58,1,0)
	anim:SetHotSpot(54,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('violin_over',anim,323,49,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/books2.png',0,0,76,69,1,0)
	anim:SetHotSpot(38,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('books2',anim,716,591,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/broom2.png',0,0,54,236,1,0)
	anim:SetHotSpot(27,118)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom2',anim,806,330,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/hat2.png',0,0,69,46,1,0)
	anim:SetHotSpot(34,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat2',anim,585,125,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/ship.png',0,0,55,61,1,0)
	anim:SetHotSpot(27,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ship',anim,881,88,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/violin2.png',0,0,144,75,1,0)
	anim:SetHotSpot(72,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('violin2',anim,337,32,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/arbalest.png',0,0,108,112,1,0)
	anim:SetHotSpot(54,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arbalest',anim,225,375,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/balance.png',0,0,73,68,1,0)
	anim:SetHotSpot(36,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('balance',anim,728,468,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Layers/maska_chain.png',0,0,327,225,1,0)
	anim:SetHotSpot(63,112)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('maska_chain',anim,496,108,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/9_train_/Items/keys.png',0,0,38,68,1,0)
	anim:SetHotSpot(19,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('keys',anim,858,344,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
